open Parsetree

let rec output = function
    Nil :: t -> output t
  | Text s :: t ->
      print_string s; flush stdout; output t
  | Space c :: t ->
      print_char c; flush stdout; output t
  | Tag (tag, s, d) :: t ->
      (match tag with
	Notag -> output d
      |	_ ->
	  Printf.printf "<%s>" s; flush stdout;
	  output d;
	  Printf.printf "</%s>" s; flush stdout) ;
      output t
  | [] -> ()
  
